Discussion:
AUR: Failing to install gnupod-git (no perl-date-parse)
(too old to reply)
Jeanette C. via arch-general
2018-09-07 12:08:32 UTC
Permalink
Hey hey,
I just tried to install gnupod-git from AUR and there is one unmet dependency
not found by either pacman or through AUR: perl-date-parse .

Short of building an AUR myself, is there something I could do?

Best wishes,

Jeanette

--------
* Website: http://juliencoder.de - for summer is a state of sound
* SoundCloud: https://soundcloud.com/jeanette_c
* Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
* GitHub: https://github.com/jeanette-c
* Twitter: https://twitter.com/jeanette_c_s

But now I'm stronger than yesterday <3
(Britney Spears)
NicoHood
2018-09-07 12:14:17 UTC
Permalink
Post by Jeanette C. via arch-general
Hey hey,
I just tried to install gnupod-git from AUR and there is one unmet
dependency not found by either pacman or through AUR: perl-date-parse .
Short of building an AUR myself, is there something I could do?
Best wishes,
Jeanette
--------
 * Website: http://juliencoder.de - for summer is a state of sound
 * SoundCloud: https://soundcloud.com/jeanette_c
 * Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
 * GitHub: https://github.com/jeanette-c
 * Twitter: https://twitter.com/jeanette_c_s
But now I'm stronger than yesterday <3
(Britney Spears)
Hi,
you could try this software instead, if you are using a shuffle:
https://aur.archlinux.org/packages/ipod-shuffle-4g/

About the dependency:
It seems it is not available anymore in the repos/aur. But the software
is also a bit older, you might want to consider using another software
like I mentioned?

Nico
Morten Linderud via arch-general
2018-09-07 12:14:57 UTC
Permalink
Post by Jeanette C. via arch-general
Hey hey,
I just tried to install gnupod-git from AUR and there is one unmet
dependency not found by either pacman or through AUR: perl-date-parse .
It was deleted as it was a duplicate of perl-datetime. Just swap the dependencies.
--
Morten Linderud
PGP: 9C02FF419FECBE16
Jeanette C. via arch-general
2018-09-07 12:18:27 UTC
Permalink
Thank you both for your answers I will give both solutions a try.

Best wishes,

Jeanette

--------
* Website: http://juliencoder.de - for summer is a state of sound
* SoundCloud: https://soundcloud.com/jeanette_c
* Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
* GitHub: https://github.com/jeanette-c
* Twitter: https://twitter.com/jeanette_c_s

But now I'm stronger than yesterday <3
(Britney Spears)
Eli Schwartz via arch-general
2018-09-07 13:01:50 UTC
Permalink
Post by Morten Linderud via arch-general
Post by Jeanette C. via arch-general
Hey hey,
I just tried to install gnupod-git from AUR and there is one unmet
dependency not found by either pacman or through AUR: perl-date-parse .
It was deleted as it was a duplicate of perl-datetime. Just swap the dependencies.
In February, even:
https://lists.archlinux.org/pipermail/aur-requests/2018-February/022670.html

Jeanette, you can submit an orphan request for this package as the
original maintainer is not fixing it, and then adopt the package to fix
the dependencies.
--
Eli Schwartz
Bug Wrangler and Trusted User
Jeanette C. via arch-general
2018-09-07 15:38:08 UTC
Permalink
Sep 7 2018, Eli Schwartz via arch-general has written:
...
Post by Eli Schwartz via arch-general
Jeanette, you can submit an orphan request for this package as the
original maintainer is not fixing it, and then adopt the package to fix
the dependencies.
...
Hm, I'll have to go through the mailinglist then, since I can't search
AUR packages through the web interface. I get no search button in the
text-based browsers. :(

Best wishes and thanks,

Jeanette

--------
* Website: http://juliencoder.de - for summer is a state of sound
* SoundCloud: https://soundcloud.com/jeanette_c
* Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
* GitHub: https://github.com/jeanette-c
* Twitter: https://twitter.com/jeanette_c_s

Just hang around and you'll see,
There's nowhere I'd rather be <3
(Britney Spears)
ProgAndy
2018-09-07 15:48:31 UTC
Permalink
Post by Jeanette C. via arch-general
...
Hm, I'll have to go through the mailinglist then, since I can't search
AUR packages through the web interface. I get no search button in the
text-based browsers. :(
...
That seems to be no problem for me with w3m. Just enter the package name
in "Package Search" and press enter. Or open the "Packages" link, enter
your keywords in the search form and submit it with [Search]. The same
works with the links browser as well.

--
Andreas
Jeanette C. via arch-general
2018-09-07 16:41:48 UTC
Permalink
Sep 7 2018, ProgAndy has written:
...
Post by ProgAndy
That seems to be no problem for me with w3m. Just enter the package name
in "Package Search" and press enter.
...
Ah that didn't occur to me. I took the browsers to be more oldfashioned
than they are. All done now.

Thanks and best wishes,

Jeanette

--------
* Website: http://juliencoder.de - for summer is a state of sound
* SoundCloud: https://soundcloud.com/jeanette_c
* Youtube: https://www.youtube.com/channel/UCMS4rfGrTwz8W7jhC1Jnv7g
* GitHub: https://github.com/jeanette-c
* Twitter: https://twitter.com/jeanette_c_s

Just hang around and you'll see,
There's nowhere I'd rather be <3
(Britney Spears)

Eli Schwartz via arch-general
2018-09-07 16:08:14 UTC
Permalink
Post by Jeanette C. via arch-general
...
Post by Eli Schwartz via arch-general
Jeanette, you can submit an orphan request for this package as the
original maintainer is not fixing it, and then adopt the package to fix
the dependencies.
...
Hm, I'll have to go through the mailinglist then, since I can't search
AUR packages through the web interface. I get no search button in the
text-based browsers. :(
There is a "Go" button and an "Orphans" button, in my "real" browser.
But pressing enter in the text box should be enough to trigger a form
field search anyway...

I'm not sure why it matters, since you know the package name and
therefore do not need to search for it.
--
Eli Schwartz
Bug Wrangler and Trusted User
Loading...